%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Name:           perl-Crypt-OpenSSL-PKCS10
Version:        0.15
Release:        1
Summary:        Perl interface to OpenSSL for PKCS10
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-OpenSSL-PKCS10/
Source0:        http://www.cpan.org/authors/id/J/JO/JONOZZZ/Crypt-OpenSSL-PKCS10-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  openssl-devel >= 1.0.1s-1
# these two are provided by our base perl package
#BuildRequires:  perl(Test::More) perl(ExtUtils::MakeMaker)
BuildRequires:  perl-Crypt-OpenSSL-RSA

Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >=  5.8.8-2
Requires:       openssl >= 1.0.1s-1
Requires:       perl-Crypt-OpenSSL-RSA

%description
Crypt::OpenSSL::PKCS10 - Perl extension to OpenSSL's PKCS10 API.


%prep
%setup -q -n Crypt-OpenSSL-PKCS10-%{version}
chmod a-x Changes
chmod a-x *.xs
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
cd 32bit
%{_bindir}/perl Makefile.PL INSTALLDIRS="vendor" LIBS="-L%{_libdir} -lcrypto"
make
cd ../64bit
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS="vendor" LIBS="-L%{_libdir} -lcrypto"
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 32bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../64bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'

# remove errant execute bit from the .pm's / .xs's
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/Changes
%{perl_vendorarch}/*
%{perl_vendorarch64}/*
%{_mandir}/man3/*


%changelog
* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 0.15-1
- updated to version 0.15 and compiled against latest version of openssl

* Sun Nov 09 2008 Michael Perzl <michael@perzl.org> - 0.06-1
- first version for AIX V5.1 and higher
